function oindexes = BayesUpdateTopDown(pos,newp,indexes)

% Updates the probability of a node and recursively propagates the change to
% its descendants

%  pos: tree position where the sensing action took place
%  newp: new probability value triggering the change
%  indexes: boolean vector indicating which leaves were updated
%  returns oindexes: a boolean vector indicating which leaves were updated
%  (updated version of the input parameter)

% THIS IS THE FUNCTION TO BE FIXED

global tree;
global lower_thresh;

oindexes = indexes;
tree(pos).p = newp; % first set the new probability

if ( tree(pos).p > lower_thresh( tree(pos).depth ) )
    tree(pos).cleared = 0;
end

if tree(pos).leaf == 0 % internal node? Recursion
    p = [tree(tree(pos).NW).p tree(tree(pos).NE).p tree(tree(pos).SE).p tree(tree(pos).SW).p];
    k = p/min(p);
    a = tree(pos).p / (k(1)+k(2)+k(3)+k(4));
    p = a * k;
    oindexes = BayesUpdateTopDown(tree(pos).NW,p(1),oindexes);
    oindexes = BayesUpdateTopDown(tree(pos).NE,p(2),oindexes);
    oindexes = BayesUpdateTopDown(tree(pos).SE,p(3),oindexes);
    oindexes = BayesUpdateTopDown(tree(pos).SW,p(4),oindexes);
else % leaf? Terminate and recall update
    oindexes(pos) = 1;
end




