function BuildTreeMaxDepth(md,fname)


%  Builds a quadtree with a given maximum depth
%  md: maximum depth 
%  fname: file name with prior information; for the moment supports
%  only square regions
%  Note: will override global variable tree, if any. 
%  This function may take some times for fine grain grids...
% See LoadFullTree

global tree;

LoadFullTree(fname);

depths = cell2mat({tree(:).depth});

last = numel(find(depths<=md));

% cut deeper levels in the tree
tree = tree(1:last);
% now set all deepest leaves to be leafs

depths = cell2mat({tree(:).depth});
leafs = find(depths==md);
[tree(leafs).leaf] = deal(1);



