function [flag, cleared_cells] = EvaluateSearchDecisionUniform(z,c_curr, cleared_cells)

% Determines if search decision criteria are met
%  - positive observation (z=1) --> split node if possible
%  - negative observation (z=0) --> check lower threshold for clearing
% z: current obs ervation
% c_curr        : current node in tree
% cleared_cells :


global tree;
%global maxDepth;
global lower_thresh;
global upper_thresh;

flag = false;

%  - if positive observation, need to spawn children if none exist
%  - if negative observation, need to continue observations to clear location
if ( z == 1 )       % positive observation
    % Check if this node has any descendents (i.e., is internal)
    %  - if so, nothing to do but re-optimize search
    %  - if not, AND is not at maximum depth, spawn new children and initialize uniformly
%     if ( tree(c_curr).leaf )
%         if (tree(c_curr).depth<maxDepth)
%             current = SplitNode(c_curr);
%           %  disp('***** Splitting nodes *****');
%            % beep; pause(0.05); beep; pause(0.05); beep;
%         else
%           %  disp('Already at max depth of tree');
%             
%             % Now want to evaluate against threshold appropriate for this depth
%             %  - otherwise, will likely continue to investigate this cell 
            if ( tree(c_curr).p >= upper_thresh( tree(c_curr).depth ) )
                flag = true;
            end         % end if(check for crossing upper threshold
            
            
%             
%         end         % end if-else(check for max depth)
%     else
%         %disp('not a leaf');
%     end         % end if(check for leaf)
    
    
    
    
else                % else(check for null detection)
    
    % Check probability value against threshold appropriate for this depth
    %  -
    if ( tree(c_curr).p <= lower_thresh( tree(c_curr).depth ) )
        % Mark this node and all its descendents cleared
        MarkNodeCleared( c_curr );
        
        % DEBUG: add this cell
        cleared_cells = [cleared_cells; c_curr];
        
    end
    
end                 % end if-else(z==1)

