%
%  This script plots the initial PQ and belief distribution maps for
%  different initialization specifications, e.g., restrictions on maximum
%  depth or maximum number of nodes
%
%  Used to generate the following figures for 2011-ICRA paper
%   - 'fig-BeliefMap_MaxDepth4.png'
%   - 'fig-BeliefMap_MaxNodes300.png'
%   - 'fig-PQMap_MaxDepth4.png'
%   - 'fig-PQMap_MaxNodes300.png'
%
font_size = 14;

%----
% Plot quadtree map with max number of initial nodes
BuildTreeMaxNodes(300,'init_belief_map_256.mat');
h1 = DrawQuadTree;
PlotEstimate(2)

% Prepare for printing
set(h1, 'color', 'white');
set(gca, 'FontSize', font_size);
figure(2);
set(gcf, 'color', 'white');
set(gca, 'FontSize', font_size);

% Set screen capture coordinates
%  - (x,y,w,h)=(1145,605,400,380)
%  - (x,y,w,h)=(658,614,540,380)   -- BeliefMap


pause

%----
% Plot quadtree map with max number of initial nodes
% Plot belief map with max number of initial nodes
BuildTreeMaxDepth(5,'init_belief_map_256.mat');
h2 = DrawQuadTree;
PlotEstimate(4)

% Prepare for printing
set(h2, 'color', 'white');
set(gca, 'FontSize', font_size);
figure(4);
set(gcf, 'color', 'white');
set(gca, 'FontSize', font_size);

% Set screen capture coordinates
%  - (x,y,w,h)=(1145,605,400,380)  -- PQMap
%  - (x,y,w,h)=(658,614,540,380)   -- BeliefMap






