% this is a simple test with the search area divided in 4 squares

close all

% Uncomment to get repeatable runs
RandStream.setDefaultStream(RandStream('mt19937ar','seed',45));

global tree;
global alpha;
global beta;
global treeFigureHandler;
global epsilon;
global pnull; % probability of the hypothesis target not present

global maxDepth;

global xslices;
global yslices;

edge = 256;

% Define constants
xslices = edge;
yslices = edge;

% threshold to establish when two reals are the same
epsilon = 0.00001;

maxDepth = 10;

% sensor perfomance
x = 1:10;
% these are the alpha values parametrized by depth
alpha = 0.2 - 0.01*x;
% these are the beta values parametrized by depth
beta = 0.3 - 0.02*x;



% target position  (x,y) positions in columns
% in a type one PQ there is always only one intruder
target = [200  200]';

% threshold to establish when two reals are the same
epsilon = 0.00001;

% create the starting empty tree with uniform prior
initProb = 0.5;
root = CreateNode(0,initProb,0);
root.xmin = 0;
root.ymin = 0;
root.xmax = edge;
root.ymax = edge;
root.xc = (root.xmax + root.xmin)/2;
root.yc = (root.ymax + root.ymin)/2;
tree = [root];

%setup figures
gcmesh = figure;
PlotEstimate(gcmesh);
treeFigureHandler = DrawQuadTree;
plot(target(1,:),target(2,:),'ro');

pnull = 1-tree(1).p; % probability the target is outside

for i = 1:1000
    i
    
    p = mod(i,4);
    
    switch p
        case 0
            x = 64;
            y= 64;
        case 1
            x = 192;
            y = 64;
        case 2
            x = 192;
            y = 192;
        case 3 
            x = 64;
            y = 192;
    end
        
    % read the sensor, and if necessary expands the tree
    [z,pos] = GetSensorReading(x,y,target);
    UpdatePosterior(z,pos);
    %if mod(i,10) == 0 % plot once in a while to save time...
        PlotEstimate(gcmesh);
    %end
    CheckTreeConsistency % Debug only; makse sure constraints are satisfied
    
end
